Author Topic: Eclipse 4.19 crashing at startup on Debian buster  (Read 875 times)

pocock

  • Full Member
  • ***
  • Posts: 240
  • Karma: +23/-0
    • View Profile
Eclipse 4.19 crashing at startup on Debian buster
« on: April 14, 2021, 01:03:45 pm »

I took the download of Eclipse for ppc64el and tried it on my system.

It crashes at startup, I opened a bug report with full details, download link, stack trace
https://bugs.eclipse.org/bugs/show_bug.cgi?id=572837

Does it work for anybody else?

To test it:

Code: [Select]
mkdir ~/eclipse-test
cd ~/eclipse-test
wget 'https://download.eclipse.org/eclipse/downloads/drops4/R-4.19-202103031800/download.php?dropFile=eclipse-SDK-4.19-linux-gtk-ppc64le.tar.gz'
tar xzf eclipse-SDK-4.19-linux-gtk-ppc64le.tar.gz
eclipse/eclipse


Debian Developer
https://danielpocock.com

MPC7500

  • Sr. Member
  • ****
  • Posts: 347
  • Karma: +20/-1
    • View Profile
    • Twitter
Re: Eclipse 4.19 crashing at startup on Debian buster
« Reply #1 on: April 14, 2021, 03:47:35 pm »
Even on VoidLinux the package is listed as unavailable. So I guess, it's a bigger issue.

tle

  • Full Member
  • ***
  • Posts: 232
  • Karma: +28/-0
    • View Profile
    • Ruby Journal
Re: Eclipse 4.19 crashing at startup on Debian buster
« Reply #2 on: April 14, 2021, 06:07:18 pm »
It does not work for me too.
Faithful Linux enthusiast

pocock

  • Full Member
  • ***
  • Posts: 240
  • Karma: +23/-0
    • View Profile
Re: Eclipse 4.19 crashing at startup on Debian buster
« Reply #3 on: April 15, 2021, 02:52:04 am »
Even on VoidLinux the package is listed as unavailable. So I guess, it's a bigger issue.

You can still download it directly from the Eclipse site using the link I provided above.

It does not work for me too.

Which Linux and Java version?
Debian Developer
https://danielpocock.com

pocock

  • Full Member
  • ***
  • Posts: 240
  • Karma: +23/-0
    • View Profile
Re: Eclipse 4.19 crashing at startup on Debian buster
« Reply #4 on: April 15, 2021, 03:11:35 am »

The download here is working for me, this is a newer version in beta:

https://download.eclipse.org/eclipse/downloads/drops4/S-4.20M1-202104071800/

I'm using it with the autotools and C++ plugins.
Debian Developer
https://danielpocock.com

tle

  • Full Member
  • ***
  • Posts: 232
  • Karma: +28/-0
    • View Profile
    • Ruby Journal
Re: Eclipse 4.19 crashing at startup on Debian buster
« Reply #5 on: April 16, 2021, 08:57:59 pm »
Even on VoidLinux the package is listed as unavailable. So I guess, it's a bigger issue.

You can still download it directly from the Eclipse site using the link I provided above.

It does not work for me too.

Which Linux and Java version?


Fedora 33 with OpenJDK 18

Code: [Select]
[tle@localhost eclipse-test]$ ./eclipse/eclipse

(Eclipse:21926): GLib-GObject-WARNING **: 11:57:16.867: ../gobject/gsignal.c:3596: signal name 'attributes-changed' is invalid for instance '0x7fff843c6860' of type 'GtkContainerAccessible'

(Eclipse:21926): GLib-GObject-WARNING **: 11:57:16.867: ../gobject/gsignal.c:3596: signal name 'text_changed::delete' is invalid for instance '0x7fff843c6860' of type 'GtkContainerAccessible'

(Eclipse:21926): GLib-GObject-WARNING **: 11:57:16.867: ../gobject/gsignal.c:3596: signal name 'text_changed::insert' is invalid for instance '0x7fff843c6860' of type 'GtkContainerAccessible'
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fff6ce8e748, pid=21926, tid=21927
#
# JRE version: OpenJDK Runtime Environment 18.9 (11.0.10+9) (build 11.0.10+9)
# Java VM: OpenJDK 64-Bit Server VM 18.9 (11.0.10+9, mixed mode, sharing, tiered, compressed oops, g1 gc, linux-ppc64le)
# Problematic frame:
#
[error occurred during error reporting (printing problematic frame), id 0xb, SIGSEGV (0xb) at pc=0x00007fff895bc484]

# Core dump will be written. Default location: Core dumps may be processed with "/usr/lib/systemd/systemd-coredump %P %u %g %s %t %c %h" (or dumping to /home/tle/eclipse-test/core.21926)
#
# An error report file with more information is saved as:
# /home/tle/eclipse-test/hs_err_pid21926.log
Could not load hsdis-ppc64le.so; library not loadable; PrintAssembly is disabled
#
# If you would like to submit a bug report, please visit:
#   https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&component=java-11-openjdk&version=33
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Faithful Linux enthusiast

tle

  • Full Member
  • ***
  • Posts: 232
  • Karma: +28/-0
    • View Profile
    • Ruby Journal
Re: Eclipse 4.19 crashing at startup on Debian buster
« Reply #6 on: April 16, 2021, 08:59:53 pm »
Even on VoidLinux the package is listed as unavailable. So I guess, it's a bigger issue.

You can still download it directly from the Eclipse site using the link I provided above.

It does not work for me too.

Which Linux and Java version?


Fedora 33 with OpenJDK 11.0.10

Code: [Select]
[tle@localhost eclipse-test]$ ./eclipse/eclipse

(Eclipse:21926): GLib-GObject-WARNING **: 11:57:16.867: ../gobject/gsignal.c:3596: signal name 'attributes-changed' is invalid for instance '0x7fff843c6860' of type 'GtkContainerAccessible'

(Eclipse:21926): GLib-GObject-WARNING **: 11:57:16.867: ../gobject/gsignal.c:3596: signal name 'text_changed::delete' is invalid for instance '0x7fff843c6860' of type 'GtkContainerAccessible'

(Eclipse:21926): GLib-GObject-WARNING **: 11:57:16.867: ../gobject/gsignal.c:3596: signal name 'text_changed::insert' is invalid for instance '0x7fff843c6860' of type 'GtkContainerAccessible'
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fff6ce8e748, pid=21926, tid=21927
#
# JRE version: OpenJDK Runtime Environment 18.9 (11.0.10+9) (build 11.0.10+9)
# Java VM: OpenJDK 64-Bit Server VM 18.9 (11.0.10+9, mixed mode, sharing, tiered, compressed oops, g1 gc, linux-ppc64le)
# Problematic frame:
#
[error occurred during error reporting (printing problematic frame), id 0xb, SIGSEGV (0xb) at pc=0x00007fff895bc484]

# Core dump will be written. Default location: Core dumps may be processed with "/usr/lib/systemd/systemd-coredump %P %u %g %s %t %c %h" (or dumping to /home/tle/eclipse-test/core.21926)
#
# An error report file with more information is saved as:
# /home/tle/eclipse-test/hs_err_pid21926.log
Could not load hsdis-ppc64le.so; library not loadable; PrintAssembly is disabled
#
# If you would like to submit a bug report, please visit:
#   https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&component=java-11-openjdk&version=33
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Faithful Linux enthusiast